---
# External Traefik configuration for OpenCloud
services:
  opencloud:
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.opencloud.rule=Host(`cloud.storel.xyz`)"
      - "traefik.http.routers.opencloud.entrypoints=websecure"
      - "traefik.http.routers.opencloud.tls.certresolver=letsencrypt"
      - "traefik.http.routers.opencloud.service=opencloud"
      - "traefik.http.routers.opencloud.middlewares=security-headers"
      - "traefik.http.services.opencloud.loadbalancer.server.port=9200"
    networks:
      - traefik_default
      - default

  collaboration:
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.collaboration.rule=Host(`wopiserver.storel.xyz`)"
      - "traefik.http.routers.collaboration.entrypoints=websecure"
      - "traefik.http.routers.collaboration.tls.certresolver=letsencrypt"
      - "traefik.http.routers.collaboration.service=collaboration"
      - "traefik.http.routers.collaboration.middlewares=security-headers"
      - "traefik.http.services.collaboration.loadbalancer.server.port=9200"
    networks:
      - traefik_default
      - default

  collabora:
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.collabora.rule=Host(`collabora.storel.xyz`)"
      - "traefik.http.routers.collabora.entrypoints=websecure"
      - "traefik.http.routers.collabora.tls.certresolver=letsencrypt"
      - "traefik.http.routers.collabora.service=collabora"
      - "traefik.http.routers.collabora.middlewares=security-headers"
      - "traefik.http.services.collabora.loadbalancer.server.port=9980"
    networks:
      - traefik_default
      - default

networks:
  traefik_default:
    external: true